Subject: Re: bug#65145: ‘enable-theme’ completion for themes loaded by ‘require-theme’

From: Mauro Aranda <[email-masked]>
Date: Wed, 9 Aug 2023 07:17:30 -0300

tags 65145 notabug
close 65145
quit

Shynur Xie <[email-masked]> writes:

 >> The reason is that, for completion, Custom looks for a non-nil
 >> theme-settings property.  Your empty theme recipe doesn't have
 >> settings, so theme-settings is nil, while if you change it to a
 >> non-empty theme, theme-settings will be non-nil.
 >
 > Thank you, Mauro.  No further question now.  :)
 >
 > (I defined an empty theme because I plan to do this work later.)

No problem :)

I'm closing this bug report.  If anyone disagrees, feel free to reopen.